FreeMat

- Main Page
- Related Pages

vtkImageOrthoPlanes

Section: Visualization Toolkit Widget Classes

# Usage

vtkImageOrthoPlanes is an event observer class that listens to the events from three vtkImagePlaneWidgets and keeps their orientations and scales synchronized.

To create an instance of class vtkImageOrthoPlanes, simply invoke its constructor as follows

      obj = vtkImageOrthoPlanes

# Methods

The class vtkImageOrthoPlanes has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageOrthoPlanes class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageOrthoPlanes = obj.NewInstance ()`
- `vtkImageOrthoPlanes = obj.SafeDownCast (vtkObject o)`
- `obj.SetPlane (int i, vtkImagePlaneWidget imagePlaneWidget)` - You must set three planes for the widget.
- `vtkImagePlaneWidget = obj.GetPlane (int i)` - You must set three planes for the widget.
- `obj.ResetPlanes ()` - Reset the planes to original scale, rotation, and location.
- `vtkTransform = obj.GetTransform ()` - Get the transform for the planes.
- `obj.HandlePlaneEvent (vtkImagePlaneWidget imagePlaneWidget)` - A public method to be used only by the event callback.